%define oname kate

Summary:	Plasma 5 advanced text editor
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/multimedia/kmix/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Source1:	org.kde.kwriteroot.desktop
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5activities-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5threadweaver-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kate
# katepart is now mostly a part of ktexteditor-kf5
# so package remaining files to plasma5-kate

%description
A fast and advanced text editor with nice plugins for Plasma 5.

%files
%{_kde5_applicationsdir}/org.kde.kate.desktop
%{_kde5_bindir}/kate
%dir %{_kde5_datadir}/kateproject/
%{_kde5_datadir}/kateproject/kateproject.example
%dir %{_kde5_datadir}/katexmltools/
%{_kde5_datadir}/katexmltools/*
%{_kde5_docdir}/HTML/en/kate
%{_kde5_docdir}/HTML/en/katepart
%{_kde5_iconsdir}/*/*/*/kate.*
%{_kde5_mandir}/man1/kate.1*
%{_kde5_xmlguidir}/katexmltools/ui.rc
%{_datadir}/appdata/org.kde.kate.appdata.xml
%{_qt5_plugindir}/ktexteditor/katebacktracebrowserplugin.so
%{_qt5_plugindir}/ktexteditor/katebuildplugin.so
%{_qt5_plugindir}/ktexteditor/katecloseexceptplugin.so
%{_qt5_plugindir}/ktexteditor/katectagsplugin.so
%{_qt5_plugindir}/ktexteditor/katefilebrowserplugin.so
%{_qt5_plugindir}/ktexteditor/katefiletreeplugin.so
%{_qt5_plugindir}/ktexteditor/kategdbplugin.so
%{_qt5_plugindir}/ktexteditor/katekonsoleplugin.so
%{_qt5_plugindir}/ktexteditor/kateopenheaderplugin.so
%{_qt5_plugindir}/ktexteditor/kateprojectplugin.so
%{_qt5_plugindir}/ktexteditor/katereplicodeplugin.so
%{_qt5_plugindir}/ktexteditor/katesearchplugin.so
%{_qt5_plugindir}/ktexteditor/katesnippetsplugin.so
%{_qt5_plugindir}/ktexteditor/katesqlplugin.so
%{_qt5_plugindir}/ktexteditor/katesymbolviewerplugin.so
%{_qt5_plugindir}/ktexteditor/katexmltoolsplugin.so
%{_qt5_plugindir}/ktexteditor/kterustcompletionplugin.so
%{_qt5_plugindir}/ktexteditor/ktexteditor_lumen.so
%{_qt5_plugindir}/ktexteditor/tabswitcherplugin.so
%{_qt5_plugindir}/ktexteditor/textfilterplugin.so

#----------------------------------------------------------------------------

%package -n plasma5-kwrite
Summary:	Simple text editor for Plasma 5
Group:		Graphical desktop/KDE
Conflicts:	kwrite

%description -n plasma5-kwrite
KWrite is a text editor for Plasma 5, based on the Kate's editor component.
Features :
    Syntax highlighting according to the file type
    Word completion
    Auto-identation
    Plugin support
    Vi input mode

%files -n plasma5-kwrite
%{_kde5_applicationsdir}/org.kde.kwrite.desktop
%{_kde5_applicationsdir}/org.kde.kwriteroot.desktop
%{_kde5_bindir}/kwrite
%{_kde5_docdir}/HTML/en/kwrite
%{_kde5_iconsdir}/*/*/*/kwrite.*
%{_datadir}/appdata/org.kde.kwrite.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-katesessions
Summary:	Plasma 5 kate sessions plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-dataengine-katesessions

%description -n plasma5-applet-katesessions
Plasma 5 kate sessions plasmoid.

%files -n plasma5-applet-katesessions
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.katesessions/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.katesessions/*
%{_kde5_services}/plasma-applet-org.kde.plasma.katesessions.desktop

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-katesessions
Summary:	Plasma 5 kate sessions dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-katesessions
Plasma 5 kate sessions dataengine.

%files -n plasma5-dataengine-katesessions
%{_kde5_datadir}/plasma/services/org.kde.plasma.katesessions.operations
%{_kde5_services}/plasma-dataengine-katesessions.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_katesessions.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

install -m 0644 %{SOURCE1} %{buildroot}%{_kde5_applicationsdir}/org.kde.kwriteroot.desktop

%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.04.3-1
- (8e7d1a0) New version 16.04.3


